/** @jsx h */ /* Note: Set the JSX pragma to the wrapped version of createElement */
import h from "../../utilities/web-components/pragma"; /* Note: Import wrapped createElement. */
import React from "react";
import manageJss from "@microsoft/fast-jss-manager-react";
import styles from "./control.file.style";
import { classNames } from "@microsoft/fast-web-utilities";
/**
 * @alpha
 * Custom form control definition
 */
class FileControl extends React.Component {
    constructor() {
        super(...arguments);
        /**
         * Callback for input change
         */
        this.onChange = (e) => {
            const newValue = e.target.fileReferences[0];
            this.props.onChange({ value: newValue });
        };
    }
    /**
     * Render the component
     */
    render() {
        return (h("div", { className: classNames(this.props.managedClasses.fileControl, [
                this.props.managedClasses.fileControl__disabled,
                this.props.disabled,
            ]) },
            h("fast-tooling-file", { accept: this.props.accept, events: {
                    change: this.onChange,
                }, disabled: this.props.disabled },
                this.props.children,
                h("fast-tooling-file-action-objecturl", { role: "fileaction", slot: "action" }))));
    }
}
FileControl.displayName = "FileControl";
FileControl.defaultProps = {
    managedClasses: {},
};
export { FileControl };
export default manageJss(styles)(FileControl);
