import React from "react";
import Foundation from "@microsoft/fast-components-foundation-react";
import NavigationMenuItem from "./navigation-menu-item";
import { get } from "lodash-es";
export default class NavigationMenu extends Foundation {
    render() {
        return (React.createElement("nav", { className: this.generateClassNames() }, this.renderNavigationMenuItem(this.props.menu)));
    }
    generateClassNames() {
        const classes = get(this.props, "managedClasses.navigationMenu");
        return super.generateClassNames(classes);
    }
    renderNavigationMenuItem(menu) {
        return menu.map((menuItem, index) => {
            return (React.createElement(NavigationMenuItem, Object.assign({ key: index, managedClasses: this.props.managedClasses, expanded: this.props.expanded, onLocationUpdate: this.props.onLocationUpdate, activeLocation: this.props.activeLocation }, menuItem)));
        });
    }
}
NavigationMenu.displayName = "NavigationMenu";
