import React from "react";
import Foundation from "@microsoft/fast-components-foundation-react";
export class SelectDevice extends Foundation {
    constructor() {
        super(...arguments);
        this.handledProps = {
            devices: void 0,
            activeDeviceId: void 0,
            onUpdateDevice: void 0,
        };
        this.handleOnChange = (e) => {
            this.props.onUpdateDevice(e.target.value || "");
        };
    }
    render() {
        if (this.props.devices) {
            return (React.createElement("div", { className: this.props.managedClasses.selectDevice },
                this.renderLabel(),
                React.createElement("span", { className: this.props.managedClasses.selectDevice_contentRegion },
                    React.createElement("select", { className: this.props.managedClasses.selectDevice_select, onChange: this.handleOnChange, value: this.props.activeDeviceId, disabled: this.props.disabled }, this.renderOptions()))));
        }
        return null;
    }
    renderLabel() {
        if (this.props.label) {
            return (React.createElement("label", { className: this.props.managedClasses.selectDevice_label }, this.props.label));
        }
    }
    renderOptions() {
        return this.props.devices.map((device, index) => {
            return (React.createElement("option", { value: device.id, key: device.id + index }, device.displayName));
        });
    }
}
SelectDevice.displayName = "SelectDevice";
